Bug 125199 - Format -> Columns dialog doesn't appear in Online
Summary: Format -> Columns dialog doesn't appear in Online
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: LOOL-Tunneled-Dialogs
  Show dependency treegraph
 
Reported: 2019-05-10 00:27 UTC by Aron Budea
Modified: 2019-05-15 06:13 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-05-10 00:27:25 UTC
This is similar to bug 120277, bug 117784 and bug 125198.

- Open a document in Online, and try to open Format -> Columns.

=> Nothing happens.

Alternatively, using gtktiledviewer:
- Start it from a core build like this:
  bin/run gtktiledviewer --lo-path=$PWD/instdir/program <ODT file with path>
- Click the rombus with question mark, and enter the following as UNO command, then click Execute: FormatColumns

=> The dialog should appear, but nothing happens.

This is a regression in 6.2. Bibisected to the following commit using repo bibisect-linux-64-6.2. Adding Cc: Caolán McNamara, please take a look sometimes.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=587899f9ced03d02fbf8ffa9a3f52ba31be30818
author		Caolán McNamara <caolanm@redhat.com>	2018-09-05 11:57:59 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-09-06 12:45:15 +0200

weld SwColumnPage and SwColumnDialog
Comment 1 Caolán McNamara 2019-05-10 08:56:24 UTC
This dialog should be modal, not modeless
Comment 2 Aron Budea 2019-05-10 10:53:04 UTC
In online all dialogs need to be modeless and async for collaborative editing.
Comment 3 Commit Notification 2019-05-10 12:50:32 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/63d191afd9b166552c73b071e69a403875c55301%5E%21

Resolves: tdf#125199 format->columns dialog should be modal

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2019-05-10 12:51:42 UTC
fixed in master, backport to 6-2 in gerrit
Comment 5 Michael Meeks 2019-05-10 13:21:28 UTC
Hmm - surely there are no modal dialogs in Online ? =)
Comment 6 Caolán McNamara 2019-05-10 14:54:26 UTC
I mean modality in the sense that the user is prevented from interacting with other windows until the dialog is dismissed, i.e. the toggle of "Modal" to true in the .ui file.

It doesn't change whether the dialog is run async or sync in a sub mainloop preventing the spawning function from continuing until the dialog has ended.

Without Modal set this WindowType::MODELESSDIALOG case should also have worked, that's addressed as https://gerrit.libreoffice.org/72113
Comment 7 Commit Notification 2019-05-11 06:46:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/748cb6cde6e49c49ac38fc6dc852c0b7ac730bac%5E%21

Resolves: tdf#125199 format->columns dialog should be modal

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Aron Budea 2019-05-15 06:13:30 UTC
Works now, thanks for the fix, Caolán!

LOOLWSD master.. (git hash: 65540da9)
LOKit   LibreOfficeDev 6.3.0.0.alpha1 (git hash: 4cac171)